
## birthday.spacings.test : function (x, a = 0.05, m = (2^25))  
## gap.test : function (ru, alpha, beta, t, n)  
## Maximum_of_t_test : function (x, a)  
## permutation.test : function (x, a = 0.05)  
## poker.test : function (ru, d)  
## run.test : function (x, a = 0.05)  
## serial.correlation.test : function (x, a = 0.05)  
## serial.test : function (ru, d)  



all.tests <- function(x, a = 0.05, m = 2^25, d = 64, alpha = 0.2, beta = 0.8, t, n)
{
    stopifnot(min(x) >= 0 && max(x) <= 1)
    ans <-
        list(birthday = birthday.spacings.test(x, a, m),
             gap = gap.test(x, alpha, beta, t, n),
             maxt = Maximum_of_t_test(x, a),
             permutation = permutation.test(x, a),
             poker = poker.test(x, d),
             run = run.test(x, a),
             sc = serial.correlation.test(x, a),
             serial = serial.test(x, d))
    ans
}



## x <- runif(10002)
## at <- all.tests(x, t = 5, n = 1000, d = 10)
## str(at)
